package com.crm.pay.dao.mapper;

import com.crm.rely.backend.model.entity.finance.train.FinanceTrainSearchListEntity;
import com.crm.rely.backend.model.pojo.view.FinanceTrainView;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface FinanceTrainMapper {

    Integer countList(FinanceTrainSearchListEntity entity);

    List<FinanceTrainView> searchList(FinanceTrainSearchListEntity entity);

    FinanceTrainView getOne(Long id);

    Integer countReport(FinanceTrainSearchListEntity entity);

    List<FinanceTrainView> listReport(FinanceTrainSearchListEntity entity);

    FinanceTrainView sumReport(FinanceTrainSearchListEntity entity);
}
